# $Revision: 1.27 $, $Date: 2011/09/27 21:12:19 $
#
# Conditional build:
%bcond_with	bootstrap	# use foreign (non-rpm) ghc
#
Summary:	A lexical analyser generator for Haskell
Summary(pl.UTF-8):	Generator analizatorów składniowych dla Haskella
Name:		alex
Version:	3.0.1
Release:	1
License:	BSD-like w/o adv. clause
Group:		Development/Tools
Source0:	http://hackage.haskell.org/packages/archive/alex/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	5dec239c89165d159faa2154bc0724cd
URL:		http://haskell.org/alex/
BuildRequires:	autoconf
BuildRequires:	docbook-dtd42-xml
BuildRequires:	docbook-style-xsl
%{!?with_bootstrap:BuildRequires:	ghc >= 6.6}
BuildRequires:	gmp-devel
%{!?with_bootstrap:BuildRequires:	happy}
BuildRequires:	libxslt-progs
#For generating documentation in PDF: fop or xmltex
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Alex is a tool for generating lexical analysers in Haskell, given a
description of the tokens to be recognised in the form of regular
expressions. It is similar to the tool lex or flex for C/C++.

%description -l pl.UTF-8
Alex to narzędzie do generowania analizatorów składniowych w Haskellu
na podstawie opisu tokenów do rozpoznawania w postaci wyrażeń
regularnych. Jest podobne do narzędzi lex lub flex dla C/C++.

%prep
%setup -q

%build
%{?with_bootstrap:PATH=$PATH:/usr/local/bin}
runhaskell Setup.lhs configure --prefix=%{_prefix}
runhaskell Setup.lhs build

cd doc
%{__autoconf}
%configure
%{__make} html
cd ..

%install
rm -rf $RPM_BUILD_ROOT
%{?with_bootstrap:PATH=$PATH:/usr/local/bin}
runhaskell Setup.lhs copy --destdir=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}
cp -a examples $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ANNOUNCE README TODO doc/alex
%attr(755,root,root) %{_bindir}/alex
%{_datadir}/%{name}-%{version}
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: alex.spec,v $
Revision 1.27  2011/09/27 21:12:19  baggins
- 3.0.1

Revision 1.26  2010/04/07 15:11:02  baggins
- up to 2.3.3

Revision 1.25  2010/03/29 07:08:13  arekm
- release 2

Revision 1.24  2009/11/25 22:51:07  baggins
- 2.3.1

Revision 1.23  2007/06/26 19:31:59  arekm
- rel 2

Revision 1.22  2007/02/21 13:44:45  qrczak
- 2.1.0
- Updated BR, files list

Revision 1.21  2007/02/12 21:23:46  glen
- tabs in preamble

Revision 1.20  2007/02/12 00:48:36  baggins
- converted to UTF-8

Revision 1.19  2005/10/17 16:29:16  qboosh
- fix ppc too; release 3

Revision 1.18  2005/10/17 12:10:47  qboosh
- added bootstrap bcond, release 2

Revision 1.17  2005/10/17 11:55:54  qboosh
- fixed build on alpha (match alpha-pld-linux as knwon arch)

Revision 1.16  2005/07/03 19:55:36  undefine
- oops, too many docs ;)

Revision 1.15  2005/07/03 19:53:56  undefine
- up to 2.0.1, remove DESTDIR patch, use html docs (our tetex suxx)
- rel 1

Revision 1.14  2004/11/30 14:33:19  undefine
- release 4

Revision 1.13  2004/11/30 01:28:24  undefine
- remove workaround ;) works

Revision 1.12  2004/11/30 01:21:11  undefine
- release 3, workaround for averne's bootstrap

Revision 1.11  2004/11/30 00:50:27  undefine
- release 2

Revision 1.10  2004/11/23 19:37:48  undefine
- BR: tetex-dvips

Revision 1.9  2004/11/23 02:30:03  undefine
- small patch to allow build on pld-sparc

Revision 1.8  2004/11/23 02:27:05  undefine
- BR: gmp-devel

Revision 1.7  2004/11/22 02:27:11  undefine
- more BR, try porting to amd64

Revision 1.6  2004/06/10 19:27:42  arekm
- depend

Revision 1.5  2004/06/10 00:21:33  arekm
- regenerate configure

Revision 1.4  2004/06/10 00:10:22  arekm
- apply debian.patch

Revision 1.3  2004/02/17 20:06:30  qboosh
- pl, missing dir

Revision 1.2  2004/02/17 15:55:13  baggins
- release 1
- builds and works

Revision 1.1  2004/02/17 12:25:13  baggins
- initial revision
- raw
